com.microfocus.awm.meta.interfaces.validation

## Interface ElementTypeValidator

-     public interface ElementTypeValidator

  A sample validator interface for `ElementType`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateGetAllProperties(ActionDescriptor value)`
    `boolean` | `validateGetChildren(ActionDescriptor value)`
    `boolean` | `validateHasAction(org.eclipse.emf.common.util.EList<RElementAction> value)`
    `boolean` | `validateHasFilter(org.eclipse.emf.common.util.EList<RElementFilter> value)`
    `boolean` | `validateHasGetChildrenAction(RElementGetChildrenAction value)`
    `boolean` | `validateHasGetPropertiesAction(RElementGetProperties value)`
    `boolean` | `validateHasProperty(org.eclipse.emf.common.util.EList<RElementProperty> value)`
    `boolean` | `validateHasTextDecoration(org.eclipse.emf.common.util.EList<RElementTextDecoration> value)`
    `boolean` | `validateIcon(Icon value)`
    `boolean` | `validateID(java.lang.String value)`
    `boolean` | `validateIDDefinition(IDDefinition value)`
    `boolean` | `validateMatchname(java.lang.String value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateHasGetChildrenAction

          boolean validateHasGetChildrenAction(RElementGetChildrenAction value)

    - #### validateHasGetPropertiesAction

          boolean validateHasGetPropertiesAction(RElementGetProperties value)

    - #### validateHasAction

          boolean validateHasAction(org.eclipse.emf.common.util.EList<RElementAction> value)

    - #### validateHasProperty

          boolean validateHasProperty(org.eclipse.emf.common.util.EList<RElementProperty> value)

    - #### validateHasFilter

          boolean validateHasFilter(org.eclipse.emf.common.util.EList<RElementFilter> value)

    - #### validateHasTextDecoration

          boolean validateHasTextDecoration(org.eclipse.emf.common.util.EList<RElementTextDecoration> value)

    - #### validateGetAllProperties

          boolean validateGetAllProperties(ActionDescriptor value)

    - #### validateGetChildren

          boolean validateGetChildren(ActionDescriptor value)

    - #### validateIcon

          boolean validateIcon(Icon value)

    - #### validateID

          boolean validateID(java.lang.String value)

    - #### validateIDDefinition

          boolean validateIDDefinition(IDDefinition value)

    - #### validateMatchname

          boolean validateMatchname(java.lang.String value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.